> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create admin invites typed data

> Create admin invites for a company or team. This is used to invite users to the company or team.



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/invites/manager
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/invites/manager:
    post:
      tags:
        - B2B Invites
      summary: Create admin invites typed data
      description: >-
        Create admin invites for a company or team. This is used to invite users
        to the company or team.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                emails:
                  minItems: 1
                  maxItems: 100
                  type: array
                  items:
                    type: string
                    format: email
                    pattern: >-
                      ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                role:
                  anyOf:
                    - type: string
                      enum:
                        - team_admin
                        - team_finance_admin
                        - team_viewer
                        - team_payment_initiator
                    - type: string
                      enum:
                        - org_admin
                        - org_finance_admin
                        - org_viewer
                        - org_hr_admin
                nanoid:
                  anyOf:
                    - type: string
                      minLength: 15
                      maxLength: 15
                      pattern: ^te-.*
                      description: >-
                        Identifier of a Rise team (a workspace below a company).
                        15-character nanoid prefixed with `te-`.
                    - type: string
                      minLength: 15
                      maxLength: 15
                      pattern: ^co-.*
                      description: >-
                        Identifier of a Rise company. 15-character nanoid
                        prefixed with `co-` (e.g. `co-aBcD1234EfGh`).
              required:
                - emails
                - role
                - nanoid
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      invites:
                        type: array
                        items:
                          type: string
                          minLength: 15
                          maxLength: 15
                          pattern: ^in-.*
                          description: >-
                            Identifier of an invite (e.g. team-member
                            invitation). 15-character nanoid prefixed with
                            `in-`.
                      typed_data:
                        type: object
                        properties:
                          domain:
                            type: object
                            properties:
                              name:
                                type: string
                              version:
                                type: string
                              chainId:
                                type: number
                              verifyingContract:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: >-
                                  EVM address (0x + 40 hex chars) or null/empty
                                  for unknown.
                            required:
                              - name
                              - version
                              - chainId
                              - verifyingContract
                            additionalProperties: false
                          types:
                            type: object
                            properties:
                              SetRolesForwardRequest:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    type:
                                      type: string
                                  required:
                                    - name
                                    - type
                                  additionalProperties: false
                              SetRole:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    type:
                                      type: string
                                  required:
                                    - name
                                    - type
                                  additionalProperties: false
                            required:
                              - SetRolesForwardRequest
                              - SetRole
                            additionalProperties: false
                          typed_data:
                            type: object
                            properties:
                              from:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: >-
                                  EVM address (0x + 40 hex chars) or null/empty
                                  for unknown.
                              to:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: >-
                                  EVM address (0x + 40 hex chars) or null/empty
                                  for unknown.
                              salt:
                                type: string
                              expires:
                                type: string
                              data:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    role:
                                      type: string
                                    account:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]{40}$
                                      description: >-
                                        EVM address (0x + 40 hex chars) or
                                        null/empty for unknown.
                                  required:
                                    - role
                                    - account
                                  additionalProperties: false
                            required:
                              - from
                              - to
                              - salt
                              - expires
                              - data
                            additionalProperties: false
                          primary_type:
                            type: string
                        required:
                          - domain
                          - types
                          - typed_data
                          - primary_type
                        additionalProperties: false
                    required:
                      - invites
                      - typed_data
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````